AlgoJudge documentation0.1
REST reference

Series Admin

DELETE/series/{seriesId}

Path Parameters

seriesId*string
Formatuuid

Response Body

curl -X DELETE "https://example.com/series/497f6eca-6276-4993-bfeb-53cbbbba6f08"
Empty
PUT/series/{seriesId}

Path Parameters

seriesId*string
Formatuuid

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X PUT "https://example.com/series/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "slug": "string",    "name": "string"  }'
{  "id": "string",  "activityId": "string",  "slug": "string",  "name": "string",  "order": 0,  "startDate": "string",  "endDate": "string",  "isOpen": true,  "pausedAt": "string",  "hideProblemsWhilePaused": true,  "revealProblemCount": true,  "rankingFreezeAt": "string",  "rankingRevealAt": "string",  "rankingVisibleFrom": "string",  "rankingVisibleTo": "string",  "importance": 0,  "importanceScope": "string",  "addressRules": [    {      "network": "string",      "note": "string"    }  ],  "restrictionsEnabled": true,  "runnerTags": [    "string"  ],  "matchingRunners": 0,  "problems": [    {      "id": "string",      "seriesId": "string",      "problemId": "string",      "problemSlug": "string",      "problemName": "string",      "slug": "string",      "name": "string",      "order": 0,      "pinnedProblemVersionId": "string",      "pinnedVersion": 0,      "currentVersion": 0,      "hasPackage": true,      "submissionCount": 0,      "config": null,      "spec": null,      "props": null,      "maxPoints": 0,      "maxUploadBytes": 0,      "maxAttachments": 0,      "maxSubmissions": 0    }  ]}
POST/series/{seriesId}/duplicate

Path Parameters

seriesId*string
Formatuuid

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/series/497f6eca-6276-4993-bfeb-53cbbbba6f08/duplicate" \  -H "Content-Type: application/json" \  -d '{    "startsAt": "2019-08-24T14:15:22Z"  }'
{  "id": "string",  "activityId": "string",  "slug": "string",  "name": "string",  "order": 0,  "startDate": "string",  "endDate": "string",  "isOpen": true,  "pausedAt": "string",  "hideProblemsWhilePaused": true,  "revealProblemCount": true,  "rankingFreezeAt": "string",  "rankingRevealAt": "string",  "rankingVisibleFrom": "string",  "rankingVisibleTo": "string",  "importance": 0,  "importanceScope": "string",  "addressRules": [    {      "network": "string",      "note": "string"    }  ],  "restrictionsEnabled": true,  "runnerTags": [    "string"  ],  "matchingRunners": 0,  "problems": [    {      "id": "string",      "seriesId": "string",      "problemId": "string",      "problemSlug": "string",      "problemName": "string",      "slug": "string",      "name": "string",      "order": 0,      "pinnedProblemVersionId": "string",      "pinnedVersion": 0,      "currentVersion": 0,      "hasPackage": true,      "submissionCount": 0,      "config": null,      "spec": null,      "props": null,      "maxPoints": 0,      "maxUploadBytes": 0,      "maxAttachments": 0,      "maxSubmissions": 0    }  ]}
POST/series/{seriesId}/shift

Path Parameters

seriesId*string
Formatuuid

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/series/497f6eca-6276-4993-bfeb-53cbbbba6f08/shift" \  -H "Content-Type: application/json" \  -d '{    "minutes": 0  }'
{  "id": "string",  "activityId": "string",  "slug": "string",  "name": "string",  "order": 0,  "startDate": "string",  "endDate": "string",  "isOpen": true,  "pausedAt": "string",  "hideProblemsWhilePaused": true,  "revealProblemCount": true,  "rankingFreezeAt": "string",  "rankingRevealAt": "string",  "rankingVisibleFrom": "string",  "rankingVisibleTo": "string",  "importance": 0,  "importanceScope": "string",  "addressRules": [    {      "network": "string",      "note": "string"    }  ],  "restrictionsEnabled": true,  "runnerTags": [    "string"  ],  "matchingRunners": 0,  "problems": [    {      "id": "string",      "seriesId": "string",      "problemId": "string",      "problemSlug": "string",      "problemName": "string",      "slug": "string",      "name": "string",      "order": 0,      "pinnedProblemVersionId": "string",      "pinnedVersion": 0,      "currentVersion": 0,      "hasPackage": true,      "submissionCount": 0,      "config": null,      "spec": null,      "props": null,      "maxPoints": 0,      "maxUploadBytes": 0,      "maxAttachments": 0,      "maxSubmissions": 0    }  ]}
POST/series/{seriesId}/pause

Path Parameters

seriesId*string
Formatuuid

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/series/497f6eca-6276-4993-bfeb-53cbbbba6f08/pause" \  -H "Content-Type: application/json" \  -d '{    "hideProblems": true  }'
{  "id": "string",  "activityId": "string",  "slug": "string",  "name": "string",  "order": 0,  "startDate": "string",  "endDate": "string",  "isOpen": true,  "pausedAt": "string",  "hideProblemsWhilePaused": true,  "revealProblemCount": true,  "rankingFreezeAt": "string",  "rankingRevealAt": "string",  "rankingVisibleFrom": "string",  "rankingVisibleTo": "string",  "importance": 0,  "importanceScope": "string",  "addressRules": [    {      "network": "string",      "note": "string"    }  ],  "restrictionsEnabled": true,  "runnerTags": [    "string"  ],  "matchingRunners": 0,  "problems": [    {      "id": "string",      "seriesId": "string",      "problemId": "string",      "problemSlug": "string",      "problemName": "string",      "slug": "string",      "name": "string",      "order": 0,      "pinnedProblemVersionId": "string",      "pinnedVersion": 0,      "currentVersion": 0,      "hasPackage": true,      "submissionCount": 0,      "config": null,      "spec": null,      "props": null,      "maxPoints": 0,      "maxUploadBytes": 0,      "maxAttachments": 0,      "maxSubmissions": 0    }  ]}
POST/series/{seriesId}/resume

Path Parameters

seriesId*string
Formatuuid

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/series/497f6eca-6276-4993-bfeb-53cbbbba6f08/resume" \  -H "Content-Type: application/json" \  -d '{    "extendEnd": true  }'
{  "id": "string",  "activityId": "string",  "slug": "string",  "name": "string",  "order": 0,  "startDate": "string",  "endDate": "string",  "isOpen": true,  "pausedAt": "string",  "hideProblemsWhilePaused": true,  "revealProblemCount": true,  "rankingFreezeAt": "string",  "rankingRevealAt": "string",  "rankingVisibleFrom": "string",  "rankingVisibleTo": "string",  "importance": 0,  "importanceScope": "string",  "addressRules": [    {      "network": "string",      "note": "string"    }  ],  "restrictionsEnabled": true,  "runnerTags": [    "string"  ],  "matchingRunners": 0,  "problems": [    {      "id": "string",      "seriesId": "string",      "problemId": "string",      "problemSlug": "string",      "problemName": "string",      "slug": "string",      "name": "string",      "order": 0,      "pinnedProblemVersionId": "string",      "pinnedVersion": 0,      "currentVersion": 0,      "hasPackage": true,      "submissionCount": 0,      "config": null,      "spec": null,      "props": null,      "maxPoints": 0,      "maxUploadBytes": 0,      "maxAttachments": 0,      "maxSubmissions": 0    }  ]}
POST/series/{seriesId}/problems/order

Path Parameters

seriesId*string
Formatuuid

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/series/497f6eca-6276-4993-bfeb-53cbbbba6f08/problems/order" \  -H "Content-Type: application/json" \  -d '{    "orderedIds": [      "string"    ]  }'
{  "id": "string",  "activityId": "string",  "slug": "string",  "name": "string",  "order": 0,  "startDate": "string",  "endDate": "string",  "isOpen": true,  "pausedAt": "string",  "hideProblemsWhilePaused": true,  "revealProblemCount": true,  "rankingFreezeAt": "string",  "rankingRevealAt": "string",  "rankingVisibleFrom": "string",  "rankingVisibleTo": "string",  "importance": 0,  "importanceScope": "string",  "addressRules": [    {      "network": "string",      "note": "string"    }  ],  "restrictionsEnabled": true,  "runnerTags": [    "string"  ],  "matchingRunners": 0,  "problems": [    {      "id": "string",      "seriesId": "string",      "problemId": "string",      "problemSlug": "string",      "problemName": "string",      "slug": "string",      "name": "string",      "order": 0,      "pinnedProblemVersionId": "string",      "pinnedVersion": 0,      "currentVersion": 0,      "hasPackage": true,      "submissionCount": 0,      "config": null,      "spec": null,      "props": null,      "maxPoints": 0,      "maxUploadBytes": 0,      "maxAttachments": 0,      "maxSubmissions": 0    }  ]}
POST/series/{seriesId}/rejudge

Path Parameters

seriesId*string
Formatuuid

Response Body

curl -X POST "https://example.com/series/497f6eca-6276-4993-bfeb-53cbbbba6f08/rejudge"
0